FROM python:3.8
SHELL ["/bin/bash", "-c"]

RUN apt-get update -y && \
    apt-get install -y python3-pip python3-dev

# We copy just the requirements.txt first to leverage Docker cache
COPY ./requirements.txt /app/requirements.txt

WORKDIR /app

RUN pip install -r requirements.txt

COPY . /app

EXPOSE 5000
EXPOSE 5001

RUN chmod +x ./entrypoint.sh

ENTRYPOINT ["bash", "entrypoint.sh"]